## Textures (Deprecated) Textures (Deprecated) |

## Functions

void * | cogl_texture_ref ()
void | cogl_texture_unref ()

## Description

## Functions

### cogl_texture_ref ()

    void *
    cogl_texture_ref (void *texture);

`cogl_texture_ref` has been deprecated since version 1.2 and should not be used in newly-written code.

Use `cogl_object_ref()` instead

Increment the reference count for a cogl texture.

[skip]

#### Parameters

texture | a CoglTexture. |

#### Returns

the `texture` pointer.

### cogl_texture_unref ()

    void
    cogl_texture_unref (void *texture);

`cogl_texture_unref` has been deprecated since version 1.2 and should not be used in newly-written code.

Use `cogl_object_unref()` instead

Decrement the reference count for a cogl texture.

[skip]

#### Parameters

texture | a CoglTexture. |

## Types and Values